-- To find any highlight groups: "<cmd> Telescope highlights"
-- Each highlight group can take a table with variables fg, bg, bold, italic, etc
-- base30 variable names can also be used as colors

local M = {}
---@type Base46HLGroupsList
M.override = {
  Comment = {
    fg = "grey_fg",
    italic = true,
    bold = true,
  },
  St_NormalMode = {
    fg = "white",
    bold = false,
  },
  St_InsertMode = {
    fg = "white",
    bold = false,
  },
  St_LspStatus = {
    fg = "blue",
  },
}

---@type HLTable
M.add = {
  NvimTreeOpenedFolderName = { fg = "green", bold = true },
  NvimTreeImageFile = { fg = "dark_purple" },
  DevIconTxt = { fg = "green" },
  NvimTreeSpecialFile = {
    fg = "yellow",
  },
  ["@comment"] = {
    fg = "grey_fg",
    italic = true,
    bold = true,
  },
  Type = {
    fg = "yellow",
  },
  ["@type"] = {
    fg = "yellow",
  },
  Structure = {
    fg = "yellow",
  },
}

return M
