local M = {}

M.base_30 = {
  black = "#010206", -- theme bg
  darker_black = "#000000",
  black2 = "#504573", -- base02

  one_bg = "#1e1b30", -- base01
  one_bg2 = "#504573", -- base02
  one_bg3 = "#746e95", -- base03

  light_grey = "#c1c7db", -- base05
  grey_fg = "#9a9ab8", -- base04, used for comments
  grey = "#1a538d", -- accent
  grey_fg2 = "#5078a4", -- light accent, used for line numbers

  line = "#504573", -- base02

  baby_pink = "#f3709a", -- pink
  nord_blue = "#1a538d", -- accent
  orange = "#eaa950",

  statusline_bg = "#1e1b30", -- base01
  lightbg = "#504573", -- base02
  lightbg2 = "#504573", -- base02

  folder_bg = "#334773", -- ansi-blue
  pmenu_bg = "#334773", -- ansi-blue

  red = "#a04558",
  green = "#76aa73",
  yellow = "#ad9d3d",
  dark_purple = "#a34a78", --ansi-magenta
  teal = "#2a97b1", -- ansi-cyan

  pink = "#ed8096", --ansi-bright-red
  vibrant_green = "#a0dc9b", --ansi-bright-green
  sun = "#c1b254", -- ansi-bright-yellow
  blue = "#445f9b", --ansi-bright-blue
  purple = "#ee5e95", --ansi-bright-magenta
  cyan = "#5bcefa", --ansi-bright-cyan

  white = "#ebf6ff", -- actually fg
}

M.base_16 = {
  base00 = "#010206", -- Default bg
  base01 = "#1e1b30", -- Lighter bg (status bar, line number, folding mks)
  base02 = "#504573", -- Selection bg,
  base03 = "#746e95", -- Comments, invisibles, line hl, ansi-bright-black
  base04 = "#9a9ab8", -- Dark fg (status bars), ansi-white
  base05 = "#c1c7db", -- Default fg (caret, delimiters, Operators), ansi-bright-white
  base06 = "#ebf6ff", -- Light fg (not often used), fg
  base07 = "#fbfbff", -- Light bg (not often used)
  base08 = "#ed8096", -- Variables, XML Tags, Markup Link Text, Markup Lists, Diff Deleted, ansi-bright-red
  base09 = "#eaa950", -- Integers, Boolean, Constants, XML Attributes, Markup Link Url, orange
  base0A = "#c1b254", -- Classes, Markup Bold, Search Text Background, ansi-yellow
  base0B = "#a0dc9b", -- Strings, Inherited Class, Markup Code, Diff Inserted, ansi-green
  base0C = "#2a97b1", -- Support, regex, escape chars, ansi-cyan
  base0D = "#5bcefa", -- Function, methods, headings, ansi-bright-cyan
  base0E = "#ee5e95", -- Keywords, ansi-bright-magenta
  base0F = "#a34a78", -- Deprecated, open/close embedded tags, ansi-magenta
}
M.type = "dark"

return M
